import { reactive } from "vue";
//登录页面
export const loginData = reactive({
  login: true,
  username: "",
  password: "",
  repeatPass: "",
  autoLogin: false,
});
//用户登录信息
export const userinfo: {
  login: boolean;
  username: string;
  token: string;
  type: string;
  userinfo: userinfo;
} = reactive({
  login: false,
  username: "",
  token: "",
  type: "user",
  userinfo: {},
});
// websocket
export const message = reactive({
  online: 0,
});
// 菜单
export const menuData: {
  data: sysMenu[];
  default: string;
} = reactive({
  data: [],
  default: "",
});
// 图标选择
export const iconSelector = reactive({
  visible: false,
  iconList: [],
  selected: "",
});
//余额表及账单
export const account = reactive({ show: false });
